Bug 242411 - system freeze while configuring a rt2500 wifi card with iwconfig
system freeze while configuring a rt2500 wifi card with iwconfig
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wireless-tools (Show other bugs)
7
i386 Linux
low Severity high
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-04 02:30 EDT by Jean-Jacques Sarton
Modified: 2008-06-16 21:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:23:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jean-Jacques Sarton 2007-06-04 02:30:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de; rv:1.8.0.12) Gecko/20070530 Fedora/1.5.0.12-1.fc5 Firefox/1.5.0.12

Description of problem:
The system freeze while configuring a rt2500 based wifi card with iwconfig

Version-Release number of selected component (if applicable):
F7

How reproducible:
Always


Steps to Reproduce:
1. iwconfig wlan0 essid xxx; iwconfig wlan0 mode ad-hoc; iwconfig channel 6
2.
3.

Actual Results:
the system freeze

Expected Results:
no freeze and working system

Additional info:
Comment 1 Jean-Jacques Sarton 2007-06-04 03:12:17 EDT
Freeze occur after the card is set up with:
ifconfig 192.168.1.10 up

Comment 3 Jean-Jacques Sarton 2007-06-10 07:41:29 EDT
The mentioned bug report seem to aply.

Are there source for the rt2xx modules or patches available from Fedora ?
The original can't be compiled.

According to the various reports and also my own experiences, I think that the
behaviour depend on the content of a variable which is not initialized.

The results I had was every time different, from time to time pings was
transmitted to the interfaces, on other tryes this was not the case.

freezing don't occur regulary.
 
Comment 4 Bug Zapper 2008-05-14 08:46:16 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 21:23:43 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.